# BEGIN SourceDeps(oneline):
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Language-Prolog-Yaswi
Version:        0.21
Release:        alt6_11
Summary:        Yet another interface to SWI-Prolog
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Language-Prolog-Yaswi/
Source0:        http://www.cpan.org/authors/id/S/SA/SALVA/Language-Prolog-Yaswi-%{version}.tar.gz
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# XXX: Both SWI Prolog and Perl must (not) be compiled with threads support at
# the same time.
BuildRequires:  pl-devel >= 5.6
# Run-time
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(DynaLoader.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(Language/Prolog/Types.pm)
BuildRequires:  perl(Language/Prolog/Types/Converter.pm)
# Tests only
BuildRequires:  perl(Language/Prolog/Types/overload.pm)
BuildRequires:  perl(Language/Prolog/Sugar.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(File/Temp.pm)
Requires:       perl(Language/Prolog/Types.pm) >= 0.09


Source44: import.info

%description
This package provides a bidirectional interface to SWI-Prolog. That means
that Prolog code can be called from Perl that can call Perl code again
and so on.

%prep
%setup -q -n Language-Prolog-Yaswi-%{version}
for F in README; do
    iconv -f iso8859-1 -t utf-8 < "$F" > "${F}.new"
    touch -r "$F" "${F}.new"
    mv "${F}.new" "$F"
done

%build
PL="%(type -p swipl)" %{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir \
    INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README samples
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Language*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.21-alt6_11
- update to new release by fcimport

* Tue Jan 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.21-alt6_10
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.21-alt6_9
- update to new release by fcimport

* Sat Dec 22 2012 Igor Vlasenko <viy@altlinux.ru> 0.21-alt6_8
- update to new release by fcimport

* Wed Dec 05 2012 Igor Vlasenko <viy@altlinux.ru> 0.21-alt6_7
- rebuild with new pl-6.2.3

* Mon Nov 26 2012 Igor Vlasenko <viy@altlinux.ru> 0.21-alt5_7
- rebuild with new pl

* Sun Nov 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.21-alt4_7
- update to new release by fcimport

* Wed Oct 10 2012 Igor Vlasenko <viy@altlinux.ru> 0.21-alt4_6
- new version

* Mon Sep 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.21-alt4_5
- rebuild with new prolog

* Mon Sep 17 2012 Igor Vlasenko <viy@altlinux.ru> 0.21-alt3_5
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.21-alt3_4
- rebuild with new perl

* Tue Sep 04 2012 Igor Vlasenko <viy@altlinux.ru> 0.21-alt2_4
- update to new release by fcimport

* Wed Aug 29 2012 Igor Vlasenko <viy@altlinux.ru> 0.21-alt2_3
- build with new libswipl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.21-alt1_3
- update to new release by fcimport

* Tue Jun 05 2012 Igor Vlasenko <viy@altlinux.ru> 0.19-alt1_1
- fc import

